//
//  GalleryContentViewControllerContainer.swift
//  GalleryVC
//
//  Created by Shadowfacts on 12/28/23.
//

import Foundation

@MainActor
public protocol GalleryContentViewControllerContainer: AnyObject {
    var galleryControlsVisible: Bool { get }
    
    func setGalleryContentLoading(_ loading: Bool)
    func galleryContentChanged()
    func disableGalleryScrollAndZoom()
    func setGalleryControlsVisible(_ visible: Bool, animated: Bool)
}
