//
//  GalleryDataSource.swift
//  GalleryVC
//
//  Created by Shadowfacts on 12/28/23.
//

import UIKit

@MainActor
public protocol GalleryDataSource {
    func galleryItemsCount() -> Int
    func galleryContentViewController(forItemAt index: Int) -> GalleryContentViewController
    func galleryContentTransitionSourceView(forItemAt index: Int) -> UIView?
    func galleryApplicationActivities(forItemAt index: Int) -> [UIActivity]?
}

public extension GalleryDataSource {
    func galleryApplicationActivities(forItemAt index: Int) -> [UIActivity]? {
        nil
    }
}
