// swift-tools-version: 5.10
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "PushNotifications",
    platforms: [
        .iOS(.v15),
    ],
    products: [
        // Products define the executables and libraries a package produces, making them visible to other packages.
        .library(
            name: "PushNotifications",
            targets: ["PushNotifications"]),
    ],
    dependencies: [
        .package(path: "../UserAccounts"),
        .package(path: "../Pachyderm"),
    ],
    targets: [
        // Targets are the basic building blocks of a package, defining a module or a test suite.
        // Targets can depend on other targets in this package and products from dependencies.
        .target(
            name: "PushNotifications",
            dependencies: ["UserAccounts", "Pachyderm"]
        ),
        .testTarget(
            name: "PushNotificationsTests",
            dependencies: ["PushNotifications"]),
    ]
)
