//
//  AccentColor.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 4/13/24.
//

import UIKit

public enum AccentColor: String, Codable, CaseIterable {
    case `default`
    case purple
    case indigo
    case blue
    case cyan
    case teal
    case mint
    case green
//    case yellow
    case orange
    case red
    case pink
//    case brown
    
    public var color: UIColor? {
        switch self {
        case .default:
            return nil
        case .blue:
            return .systemBlue
//            case .brown:
//                return .systemBrown
        case .cyan:
            return .systemCyan
        case .green:
            return .systemGreen
        case .indigo:
            return .systemIndigo
        case .mint:
            return .systemMint
        case .orange:
            return .systemOrange
        case .pink:
            return .systemPink
        case .purple:
            return .systemPurple
        case .red:
            return .systemRed
        case .teal:
            return .systemTeal
//            case .yellow:
//                return .systemYellow
        }
    }
    
    public var name: String {
        switch self {
        case .default:
            return "Default"
        case .blue:
            return "Blue"
//            case .brown:
//                return "Brown"
        case .cyan:
            return "Cyan"
        case .green:
            return "Green"
        case .indigo:
            return "Indigo"
        case .mint:
            return "Mint"
        case .orange:
            return "Orange"
        case .pink:
            return "Pink"
        case .purple:
            return "Purple"
        case .red:
            return "Red"
        case .teal:
            return "Teal"
//            case .yellow:
//                return "Yellow"
        }
    }
}
