//
//  Translation.swift
//  Pachyderm
//
//  Created by Shadowfacts on 12/4/23.
//

import Foundation

public struct Translation: Decodable, Sendable {
    public let content: String
    public let spoilerText: String?
    public let detectedSourceLanguage: String
    public let provider: String
    
    private enum CodingKeys: String, CodingKey {
        case content
        case spoilerText
        case detectedSourceLanguage = "detected_source_language"
        case provider
    }
}
