//
//  AttachmentBlurMode.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 4/13/24.
//

import Foundation

public enum AttachmentBlurMode: Codable, Hashable, CaseIterable {
    case useStatusSetting
    case always
    case never
    
    public var displayName: String {
        switch self {
        case .useStatusSetting:
            return "Default"
        case .always:
            return "Always"
        case .never:
            return "Never"
        }
    }
}
