//
//  Theme.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 4/13/24.
//

import Foundation
import UIKit

public enum Theme: String, Codable {
    case unspecified, light, dark
    
    public var userInterfaceStyle: UIUserInterfaceStyle {
        switch self {
        case .unspecified:
            .unspecified
        case .light:
            .light
        case .dark:
            .dark
        }
    }
}
